/**
 * COMS E6181: Advanced Internet Services (Fall 2011)
 * pgs2111 at columbia.edu
 */
package edu.columbia.cs.dyswis.module_mcast_rtp;

import org.apache.log4j.Logger;

/**
 * Separate thread to run the traceroute probes.
 * 
 * @author phil
 */
public class McastRtpReversePathDiscoveryThread extends Thread {

    /** for log messages */
    private static Logger logger = Logger
            .getLogger("McastRtpReversePathDiscoveryThread");

    /** the multicast source address */
    private String mcastRtpSource;

    /**
     * Create a new thread to run a traceroutes towards the given address
     * 
     * @param s
     *            the source IP (to which the traceroute will be run)
     */
    public McastRtpReversePathDiscoveryThread(String s) {
        logger.debug("New Thread. Source: " + s);
        mcastRtpSource = s;
    }

    /**
     * Launch the traceroute probe
     */
    @Override
    public void run() {
        logger.debug("running probe towards: " + mcastRtpSource);

        /* don't display GUI messages */
        McastRtpReversePathDiscovery.probe(mcastRtpSource, false);
    }

}
